﻿@model eCommerce.BackOffice.ViewModels.CustomerOrderHistoryViewModel
@{
    ViewBag.Title = "Historial de Compras";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Historial de Compras - @Model.Customer.FullName</h1>
    <div class="page-header-actions">
        
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-outline" onclick="window.location.href = '/Customers'">
                <i class="icon wb-arrow-left" aria-hidden="true"></i>
                <span class="hidden-xs">VOLVER</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-primary btn-outline" onclick="window.location.href = '/Customers'">
                <i class="icon wb-arrow-up" aria-hidden="true"></i>
                <span class="hidden-xs">CARGAR ARCHIVO DE PEDIDO HISTORICO</span>
            </button>
        </div>

    </div>
</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            
            @*@Html.Partial("_CustomerOrderHistory", Model.Orders)*@

            @Html.Partial("~/Views/Orders/_OrderList.cshtml", Model.Orders)
            
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function () {
            setActionsDialogs();
        })

        function fCancel(Id)
        {
            $.ajax({
                url: "/Orders/OrderCancel/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    setActionsDialogs();
                    swal("La venta ha sido cancelada.", "", "success");
                },
                error: function (request, status, error) 
                {
                    swal("No es posible cancelar  una venta con cobros o entregas realizadas.", "", "warning");
                }
            });
        }

        function fDelete(Id)
        {
            $.ajax({
                url: "/Orders/OrderDelete/" + Id,
                type: "GET",
                data: null,
                success: function (data, textStatus, jqXHR)
                {
                    $('.panel-body').html(data);
                    $('.dataTable').DataTable();
                    setActionsDialogs();
                    swal("Eliminado!", "", "success");
                }
            });
        }

        function setActionsDialogs()
        {
            $('.remove-row').on("click", function ()
            {
                var rowId = $(this).attr("data-rowid");
                swal({
                    title: "Esta seguro que desea Eliminar la venta #" + rowId +" ?",
                    text: "",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo elminarlo!',
                    cancelButtonText: 'Cancelar',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm) {
                    if (isConfirm) {
                        fDelete(rowId);
                    }
                });
            });

            $('.cancel-row').on("click", function ()
            {
                var rowId = $(this).attr("data-rowid");
                swal({
                    title: "Cancelar Venta",
                    text: "Esta seguro que desa cancelar la venta #" + rowId + " ?",
                    type: "warning",
                    showCancelButton: true,
                    confirmButtonColor: '#F26A54',
                    confirmButtonText: 'Sí, deseo cancelarla',
                    cancelButtonText: 'No',
                    closeOnConfirm: false,
                    closeOnCancel: true
                },
                function (isConfirm)
                {
                    if (isConfirm)
                    {
                        fCancel(rowId);
                    }
                });
            });
        }

    </script>

}

